L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Python requests : manipulation de Cookie

Synthèse de la vulnérabilité 

Un attaquant peut utiliser les clients de Python requests, afin de forcer un cookie ou de lire un cookie.
Systèmes vulnérables : Fedora, SUSE Linux Enterprise Desktop, SLES, Ubuntu, Unix (plateforme) ~ non exhaustif.
Gravité de cette menace : 2/4.
Date de création : 30/03/2015.
Références de cette faille : CVE-2015-2296, FEDORA-2015-4084, MDVSA-2015:133, SUSE-SU-2020:1792-1, USN-2531-1, VIGILANCE-VUL-16490.

Description de la vulnérabilité 

Le produit Python requests implémente un client web.

Cependant, si le serveur web utilise une redirection avec un Cookie n'indiquant pas un nom de domaine explicite, Python requests présente ce cookie au serveur ciblé par la redirection. Le serveur cible peut aussi obtenir les cookies du serveur source.

Un attaquant peut donc utiliser les clients de Python requests, afin de forcer un cookie ou de lire un cookie.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Ce bulletin de faille concerne les logiciels ou systèmes comme Fedora, SUSE Linux Enterprise Desktop, SLES, Ubuntu, Unix (plateforme) ~ non exhaustif.

Notre équipe Vigil@nce a déterminé que la gravité de cet avis cybersécurité est moyen.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de serveur internet.

Un démonstrateur ou un outil d'attaque est disponible, donc vos équipes doivent traiter cette alerte. Un attaquant avec un niveau de compétence technicien peut exploiter cette annonce de faille.

Solutions pour cette menace 

Python requests : version 2.6.0.
La version 2.6.0 est corrigée :
  https://warehouse.python.org/project/requests/

Python requests : patch pour Cookie.
Un patch est disponible dans les sources d'information.

Fedora 21 : nouveaux paquetages python-requests.
De nouveaux paquetages sont disponibles :
  Fedora 21 : python-requests 2.5.3-2.fc21

Fedora 21 : nouveaux paquetages python-urllib3.
De nouveaux paquetages sont disponibles :
  Fedora 21 : python-urllib3 1.10.2-1.fc21

Mandriva BS2 : nouveaux paquetages python-requests.
De nouveaux paquetages sont disponibles :
  Mandriva BS2 : python-requests 2.3.0-1.1.mbs2

SUSE LE 12 : nouveaux paquetages python3-requests.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP2 : python3-requests 2.20.1-5.2
  SUSE LE 12 SP3 : python3-requests 2.20.1-5.2
  SUSE LE 12 SP4 : python3-requests 2.20.1-5.2
  SUSE LE 12 SP5 : python3-requests 2.20.1-5.2

Ubuntu : nouveaux paquetages python-requests.
De nouveaux paquetages sont disponibles :
  Ubuntu 14.10 : python-requests 2.3.0-1ubuntu0.1, python3-requests 2.3.0-1ubuntu0.1
  Ubuntu 14.04 LTS : python-requests 2.2.1-1ubuntu0.2, python3-requests 2.2.1-1ubuntu0.2
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit une veille et alerte de vulnérabilités informatiques. L'équipe Vigil@nce surveille les vulnérabilités informatiques de systèmes et d'applications.